# react-native-audio-device

## Getting started

`$ npm install react-native-audio-device --save`

### Mostly automatic installation

`$ react-native link react-native-audio-device`

### Manual installation

#### iOS

1. In XCode, in the project navigator, right click `Libraries` ➜ `Add Files to [your project's name]`
2. Go to `node_modules` ➜ `react-native-audio-device` and add `RNAudioDevice.xcodeproj`
3. In XCode, in the project navigator, select your project. Add `libRNAudioDevice.a` to your project's `Build Phases` ➜ `Link Binary With Libraries`
4. Run your project (`Cmd+R`)<

#### Android

1. Open up `android/app/src/main/java/[...]/MainActivity.java`

- Add `import com.audio.device.manager.RNAudioDevicePackage;` to the imports at the top of the file
- Add `new RNAudioDevicePackage()` to the list returned by the `getPackages()` method

2. Append the following lines to `android/settings.gradle`:
   ```
   include ':react-native-audio-device'
   project(':react-native-audio-device').projectDir = new File(rootProject.projectDir, 	'../node_modules/react-native-audio-device/android')
   ```
3. Insert the following lines inside the dependencies block in `android/app/build.gradle`:
   ```
     compile project(':react-native-audio-device')
   ```

#### Windows

[Read it! :D](https://github.com/ReactWindows/react-native)

1. In Visual Studio add the `RNAudioDevice.sln` in `node_modules/react-native-audio-device/windows/RNAudioDevice.sln` folder to their solution, reference from their app.
2. Open up your `MainPage.cs` app

- Add `using Audio.Device.RNAudioDevice;` to the usings at the top of the file
- Add `new RNAudioDevicePackage()` to the `List<IReactPackage>` returned by the `Packages` method

## Usage

```javascript
import RNAudioDevice from 'react-native-audio-device';

// TODO: What to do with the module?
RNAudioDevice;
```
